View Issue Details

IDProjectCategoryView StatusLast Update
0001341Сервисный центр[All Projects] Generalpublic2018-11-01 12:31
ReporterruslanAssigned Tobarry 
PriorityurgentSeverityfeatureReproducibilityalways
Status resolvedResolutionreopened 
PlatformКСАП ГранитOSWindowsOS VersionXP Prof
Summary0001341: +СЦ-справочники Типы Ремонтов- Настройка параметров по умолчанию в карточке Ремонте, при выборе типа ремонта
DescriptionЗадача исключения механических ошибок при заполнении данных гарантийных ремонтов.
Общие требования к параметрам:
- параметры хранятся в базе данных;
- параметры настраиваются по каждому пользователю отдельно.
Добавить дополнительную закладку на форму Тип Ремонта "Параметры по-умолчанию"для внесения параметров.
Список Полей:
- Склад - тип Выбор из списка из справочника Склады;
- Скидка - тип поле для внесения дробных значений с калькулятором(в т.ч. и возможность внесения отрицательных значений);
- Заказчик для накладной на резерв. з/ч - тип Список для выбора из справочника Организации(с кнопкой для открытия формы Справочника Организации аналогично форме Накладной/Счета в складе поле Заказчик)- при выбранном значении при запуске функции Резервирование з/ч(на панели инструментов закладки Ремонт) поле Заказчик/Плательщик подменяется на выбранное значение.
- Контроль дат для полей "Начало ремонта"/Окончание ремонта- тип Выбор из списка:
  - Текущий месяц - контроль на попадание дат в интервал от первого до последнего числа текущего месяца;
  - Текущий квартал - контроль на попадание дат в интервал от первого до последнего числа текущего квартала. Кварталы определяются, как интервал по три месяца от начала года.
  - Текущий год - контроль на попадание дат в интервал от первого до последнего числа текущего года.
Контроль срабатывает при сохранении ремонта - при выходе дат начала/окончания ремонта за указанный интервал - выдается информативное сообщение "Дата Начала(Окончания) ремонта выходит за интервал [текущего месяца(квартала, года)]"- форма не закрывается.
TagsNo tags attached.

Relationships

related to 0001342 new +СЦ-справочники Типы Ремонтов- Настройка параметров по умолчанию в карточке Ремонте, при выборе типа ремонта-Список работ 
related to 0001472 resolvedbarry (+) СЦ - Смена типа ремонта в ремонте (подтверждение) 

Activities

barry

2018-06-14 11:33

administrator   ~0003824

Контроль дат - обязательно жестко какой-то из трех?

ruslan

2018-06-14 11:36

manager   ~0003825

Да

barry

2018-06-14 11:43

administrator   ~0003826

Контроль дат именно по границе месяца (при выборе месяца например)? Т.е. работая 1 июня он не сможет поставить 31 мая (для вчерашнего ремонта).

ruslan

2018-06-14 11:53

manager   ~0003827

Да так и нужно - чтоб гарантийные ремонты попадали только в текущий месяц...

barry

2018-06-16 00:01

administrator   ~0003832

А заказчик вроде из карточки берется, это не будет противоречием?

barry

2018-06-16 00:04

administrator   ~0003833

Заказчика ж в ремонте вроде напрямую нет...
Скидка на работы или скидка на запчасти?
Одна общая на все или две запоминать и независимо ими манипулировать?

barry

2018-06-16 00:18

administrator   ~0003834

Не описана процедура при очистке типа ремонта и при выборе типа с не заданными параметрами.

ruslan

2018-06-16 13:10

manager   ~0003835

>> А заказчик вроде из карточки берется, это не будет противоречием?
Нет не будет, это и требуется, потому что по Гарантийным ремонтам плательщиком услуг по ремонту является компания владелец торговой марки.
>> Скидка на работы или скидка на запчасти?
>> Одна общая на все или две запоминать и независимо ими манипулировать?
Скидка на работы и на з/ч отдельно - два поля запоминать независимо...
>> Не описана процедура при очистке типа ремонта и при выборе типа с не заданными параметрами.
При очистке типа ремонта или выборе типа ремонта с не настроенными параметрами :
1. Выдать окно с предупреждением "По типу ремонта настроены в карточке параметры по -умолчанию. Очистить параметры? " Кнопки Да/Нет
по кнопке Да - очистить поле Склад, поля Скидок. По кнопке Нет остаются установленные значения.

barry

2018-06-24 14:16

administrator   ~0003855

Last edited: 2018-06-24 14:19

View 3 revisions

mebl_ib5.zip
scen32.zip
Редактирование серьезно переделывалось. Обратить внимание на соблюдение прав/ограничений/проверок и т.п. при добавлении/редактировании ремонта.
На 3 закладках (карточка/ремонт/журнал) три разные команды сведены в одну.

ruslan

2018-07-03 15:29

manager   ~0003882

При сохранении ремонта в новой версии ошибка:
Произошла ошибка:
Dynamic SQL Error
SQL error code = -104
Token unknown - line 5, column 16
S

Сервисный центр
Application.MainForm: FormSCen(TFormSCen) XE2 Сервисный центр: Test (ГОЛОВКО ЧП) [Администратор Системы]
ActiveForm: FormSCen(TFormSCen) XE2 Сервисный центр: Test (ГОЛОВКО ЧП) [Администратор Системы]
ActiveCustomForm: FormSCen(TFormSCen) XE2 Сервисный центр: Test (ГОЛОВКО ЧП) [Администратор Системы]
Qw.SQL.Text = <<
insert into DgvDt (ID, DAT_, NBR, NameID, TYP, STOR,
NDSTYP, PROCNDS, REALTYP, USERNAME, SC_REMO, COMMENT, CsDtKtHbID)
select :DGVID, Cast(R.DAT_K as Date), R.Nbr, :NameID, 11, S.ID,
S.NDSTYP, S.NDSPROC, 1, :USERNAME, 1, 'Ремонт', R.DtKtID
from Sc_Remo R S
LEFT JOIN StorList S ON S.ID = R.STORID
WHERE R.ID=:REMOID
>>
По ходу в from ... S-лишняя

barry

2018-07-24 16:14

administrator   ~0003884

scen32.zip

ruslan

2018-07-25 17:15

manager   ~0003886

Last edited: 2018-07-25 17:16

View 2 revisions

Основной функционал ты добавил, сейчас полезли "грабли" связанные с изменением кода в формах... буду делать отдельные задачи

ruslan

2018-10-10 17:50

manager   ~0003907

см. камент3835
При резервировании з/ч если по типу ремонта назначен контрагент-заказчик - замена в накладной не происходит. Накладная резервируется на заказчика указанного в карточке СЦ.
При смене типа ремонта на тип ремонта с другими назначенными параметрами(или с неназначенными) запрос на обновление данных не делается.

barry

2018-10-24 11:53

administrator   ~0003912

scen32.zip

barry

2018-11-01 12:31

administrator   ~0003915

scen32.zip

Issue History

Date Modified Username Field Change
2018-04-12 12:38 ruslan New Issue
2018-04-12 12:48 ruslan Relationship added related to 0001342
2018-06-14 11:33 barry Note Added: 0003824
2018-06-14 11:36 ruslan Note Added: 0003825
2018-06-14 11:43 barry Note Added: 0003826
2018-06-14 11:53 ruslan Note Added: 0003827
2018-06-16 00:01 barry Note Added: 0003832
2018-06-16 00:04 barry Note Added: 0003833
2018-06-16 00:18 barry Note Added: 0003834
2018-06-16 13:10 ruslan Note Added: 0003835
2018-06-24 14:16 barry Note Added: 0003855
2018-06-24 14:17 barry Note Edited: 0003855 View Revisions
2018-06-24 14:19 barry Note Edited: 0003855 View Revisions
2018-06-25 16:20 barry Assigned To => barry
2018-06-25 16:20 barry Status new => resolved
2018-06-25 16:20 barry Resolution open => fixed
2018-07-03 15:29 ruslan Status resolved => feedback
2018-07-03 15:29 ruslan Resolution fixed => reopened
2018-07-03 15:29 ruslan Note Added: 0003882
2018-07-24 16:14 barry Note Added: 0003884
2018-07-25 17:15 ruslan Status feedback => assigned
2018-07-25 17:15 ruslan Note Added: 0003886
2018-07-25 17:16 ruslan Note Edited: 0003886 View Revisions
2018-07-25 17:16 ruslan Status assigned => resolved
2018-10-10 17:50 ruslan Status resolved => feedback
2018-10-10 17:50 ruslan Note Added: 0003907
2018-10-24 11:53 barry Status feedback => resolved
2018-10-24 11:53 barry Note Added: 0003912
2018-10-24 12:03 barry Relationship added related to 0001472
2018-11-01 12:31 barry Note Added: 0003915